from django.apps import AppConfig
from django.utils.translation import gettext_lazy as _


class BlogConfig(AppConfig):
    default_auto_field = "django.db.models.BigAutoField"
    name = "blog"
    verbose_name = _("blog")
    icon = "fa fa-solid fa-book"
    priority = 86
    hide = False

    # noinspection PyUnresolvedReferences
    def ready(self):
        import blog.elasticsearch.documents
        import blog.signals  # noqa: F401
